# QwtCompassRose Class Reference

Inheritance diagram for QwtCompassRose:

[legend]
List of all members.

## Detailed Description

Abstract base class for a compass rose.

Definition at line 21 of file qwt_compass_rose.h.

## Public Member Functions

virtual | ~QwtCompassRose ()
virtual void | setPalette (const QPalette &p)
const QPalette & | palette () const
virtual void | draw (QPainter *painter, const QPoint &center, int radius, double north, QPalette::ColorGroup colorGroup=QPalette::Active) const=0

## Member Function Documentation

virtual void QwtCompassRose::draw | ( | QPainter * | painter,
|  | const QPoint & | center,
|  | int | radius,
|  | double | north,
|  | QPalette::ColorGroup | colorGroup = `QPalette::Active` |
| ) |  |  | const`[pure virtual]`

Draw the rose

Parameters:

  | painter | Painter
  | center | Center point
  | radius | Radius of the rose
  | north | Position
  | colorGroup | Color group

Implemented in QwtSimpleCompassRose.